Bug 30171 - pump hangs on system shutdown
pump hangs on system shutdown
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-03-01 10:18 EST by Need Real Name
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-16 09:34:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-03-01 10:18:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT)

When shutting the system down, the invocation of "pump" in /sbin/ifdown 
hangs.  Sometimes I can unhang it by unplugging the ethernet cable from 
the computer.  A terrible workaround is to kill the running pump process 
manually before shutdown.  A good workaround is to run dhcpcd instead of 

Reproducible: Always
Steps to Reproduce:
1. # su root
2. # shutdown -h now
3. Watch for the line "Shutting down eth0: ".  The shutdown hangs after 
this line is printed.

Actual Results:  The shutdown hung with the cursor sitting to the right 
of "Shutting down eth0: ".

Expected Results:  The system should have shut down.

I'm using the supplied network card driver /lib/modules/2.2.16-
22/net/rtl8139.o with a D-Link DFE-530TX network card.  Upgrading 
rtl8139.o to the latest version had no effect.

WORKAROUND: Using dhcpcd instead of pump in /sbin/ifdown eliminates the 

I have seen dozens of reports of this problem in linux mailing lists -- a 
google.com search for "eth0 shutdown hang" will show them.
Comment 1 Elliot Lee 2001-09-10 20:07:12 EDT
dhcpcd is now the default DHCP client in RHL rawhide...

Apologies for the unresponsiveness of the previous pump maintainer...

Note You need to log in before you can comment on or make changes to this bug.